#ifndef PROFILING_H_ERIADOR
#define PROFILING_H_ERIADOR

#include "types.h"

class PerformanceProfiler {

   LARGE_INTEGER *starttime;
   double *timer;
   double dTicks;
   int timercount;

public:
   PerformanceProfiler(int maxTimers);

   void resetTimer(int timerid);
   void startTimer(int timerid);
   void stopTimer(int timerid);
   void makeReport();
   void reset();

   ~PerformanceProfiler();
};

#endif



   

