#ifndef SCROLLING_H
#define SCROLLING_H

#include "types.h"

class Scroller {
   DWORD celWidth, celHeight;
   DWORD celsX, celsY;
   DWORD wndX, wndY, wndWidth, wndHeight;
   long mul_posX, mul_posY;
   long mul_destX, mul_destY;
   long mul_speed, mul_speedX, mul_speedY;
   Surface *cels;
   int initialized;
   
public:
   bool scrolling;

   Scroller();

   void setCelProperties(DWORD celsx, DWORD celsy, DWORD celw, DWORD celh);
   void setWindow(DWORD wndx, DWORD wndy, DWORD wndw, DWORD wndh);
   void setPosition(DWORD x, DWORD y);
   void setDestination(DWORD x, DWORD y);
   void setCel(int x, int y, Surface surf);
	void setSpeed(long speed);

   void scroll();
   void scroll(DWORD byx, DWORD byy);
   
   void paint(Surface to, DWORD dwFlags = DDBLTFAST_NOCOLORKEY);

   ~Scroller();
};

#endif