#ifndef DROP_H_BUBWINY
#define DROP_H_BUBWINY

#include <stddef.h>
#include "types.h"
#include "tint.h"


//##########################################################################
//----------------------------- Li'll Drops --------------------------------
//##########################################################################

class BubbleDrop {
public:
   int mul_x, mul_y;               //nova pozice * MULMOVE;
   int movex,movey;                //rychlost
   int b_mminx, b_mmaxx,           // hranice x
      b_mminy, b_mmaxy;            // hranice y
   Surface gfx;
   int grave;
   int warp;
   int warpcnt;
   RECT frameRect;
        //
   void Paint (Surface dest);
   void Clear (Surface dest, Surface src);
   int  Move();

   BubbleDrop(Surface gfx,int ix,int iy,int vx,int vy,BYTE color,int g);
};

class DropList {
public:
   int count;
   BubbleDrop *list[MAXDROP];
   Surface gfx;
   
   void Blast(int ax,int ay,BYTE color,int grav);
   void HorizontalBlast(int ax,int ay,BYTE color,int grav, int direction);
   void OneDrop(int ax,int ay,int mx,int my,BYTE color,int grav,int warp = 0);
   void Move();    //posachuje a pripadne vyhodi
   void RemoveAll();
   DropList();
};

#endif