#ifndef MESSAGE_H_42
#define MESSAGE_H_42

#include "consts.h"
#include "types.h"
#include "font.h"

#define IND_CENTER   0
#define IND_LEFT     1
#define IND_RIGHT    2

class Message {
public:
	Surface msg;
   RECT r, destr;
   RECT used;
   int  realx;
	int  duration;
	int  x, y;
	Font *fnt;
   char *surfname;
   BYTE indent;

	void Options (int nx, int ny, Font *f, const char *name = NULL, BYTE ind = IND_CENTER);
	void Set (char *what, Font *f);
	void Paint();
   void Action();
	void Hide();
	void Clear();
   void Tick();

   Message ();
};

#endif