#ifndef GAMESTAGE_H_BUBWINY
#define GAMESTAGE_H_BUBWINY

class GameStage {
public:
   bool stageError;

   virtual void load() = 0;
   virtual void start() = 0;
   virtual void update() = 0;
   virtual void stop() = 0;
   virtual void unload() { };
   virtual void restore() = 0;
   virtual ~GameStage()
   {
      unload();
   }
};

#endif
