#ifndef AVIPLAYER_H_BUBWINY
#define AVIPLAYER_H_BUBWINY

#include "types.h"
#include "gamestage.h"

class AVIPlayer : public GameStage {
   HWND hWndAVI;
   const char *aviName;
   int aviWidth, aviHeight;
public:
   bool done;

   AVIPlayer();
   virtual void load();
   virtual void start();
   virtual void update();
   virtual void stop();
   virtual void unload();
   virtual void restore();

   void setAVI(const char *name, int width, int height);
};

#endif
