#if !defined __RGLASS_H
#define __RGLASS_H

#include "types.h"

const WORD NO_GLASS = 0x8080;
const WORD CLEAR_GLASS = 0;

class RGlass {

protected:
	int width;
	int height;

	int xPitch;
	int yPitch;

	WORD * data;
	void CalcPitch(void);

public:
   static Surface bckg_buf;
   static int maxWidth, maxHeight;

	RGlass(int _width, int _height, WORD * _data);
	~RGlass();

	int GetWidth()			   { return width; };
	int GetHeight()			{ return height; };
	int GetXPitch()			{ return xPitch; };
	int GetYPitch()			{ return yPitch; };

	static BOOL LoadGlasses(char *fileName, RGlass **& glasses, int& count);

friend void doBubble (Surface mask, int maskleft, int masktop, 
                      Surface background, RECT valid, TintTable tint, 
                      RGlass *glass , Surface result);
};

#endif